GNU bug report logs - #53509
Compilation failure of 27.2 on ppc64le

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Scott Talbert <swt@HIDDEN>; dated Mon, 24 Jan 2022 17:59:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 28.0.91. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53509 <at> debbugs.gnu.org:


Received: (at 53509) by debbugs.gnu.org; 25 Jan 2022 03:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 22:31:19 2022
Received: from localhost ([127.0.0.1]:46502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCCYA-0004lU-UY
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 22:31:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nCCY6-0004lC-7G
 for 53509 <at> debbugs.gnu.org; Mon, 24 Jan 2022 22:31:17 -0500
Received: from [2001:470:142:3::e] (port=53414 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nCCXx-0001Pe-VB; Mon, 24 Jan 2022 22:31:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=I+p3MJ8+rqKTMiEPm/wovP+DuNhTjwpgSSj14JiT9Lw=; b=Z44Rg59yZfO9
 ggeqyUJ001uGQr2EgrY5ksEgQkkbP3KvGmbrWDpVfMqNGcKqGBqhfOrybrVQsL+twqsk3DuH4fji2
 uZCgGkQc/oFxalY3X8qypE8iC75re/Kju+wo/rMvHp81oZk+yAxhEBzT5XEQgE+GhmuSRfvZp42z9
 0ERV9CJp8C/Ru0tv7BFT83dh6MiyFivqUbnSj49UzLKqfiLpThxCar+vhfDcQy2/RQun/j/arjQ+B
 q8zU8NfF7keyik7k7/YqKMnYBkEpcGpOI4n8MhJXzaLBb/GoB+VcsK5jMGNwr+2afGg6vp7/O7yx8
 sbjHTqb+amubIRdFW7WVvA==;
Received: from [87.69.77.57] (port=3991 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nCCWu-0008Ee-ST; Mon, 24 Jan 2022 22:30:03 -0500
Date: Tue, 25 Jan 2022 05:29:50 +0200
Message-Id: <83y234ijbl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Scott Talbert <swt@HIDDEN>
In-Reply-To: <alpine.DEB.2.22.394.2201241918030.115995@HIDDEN>
 (message from Scott Talbert on Mon, 24 Jan 2022 19:21:31 -0500 (EST))
Subject: Re: bug#53509: Compilation failure of 27.2 on ppc64le
References: <alpine.DEB.2.22.394.2201241205340.104926@HIDDEN>
 <834k5tj6d0.fsf@HIDDEN>
 <alpine.DEB.2.22.394.2201241918030.115995@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53509
Cc: 53509 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 24 Jan 2022 19:21:31 -0500 (EST)
> From: Scott Talbert <swt@HIDDEN>
> cc: 53509 <at> debbugs.gnu.org
> 
> On Mon, 24 Jan 2022, Eli Zaretskii wrote:
> 
> > Is it possible for you to try the latest pretest of Emacs 28?  It's
> > here:
> >
> >  https://alpha.gnu.org/gnu/emacs/pretest/emacs-28.0.91.tar.xz
> >
> > We don't plan on making any further releases of the v27.x series.
> 
> Yep, 28.0.91 appears to build fine on ppc64le with GCC 12.  Any idea what 
> commit fixed it, or do I need to bisect?  :)

Sorry, no idea, but I'd start by comparing the Gnulib files involved
in this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53509; Package emacs. Full text available.

Message received at 53509 <at> debbugs.gnu.org:


Received: (at 53509) by debbugs.gnu.org; 25 Jan 2022 00:21:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 19:21:37 2022
Received: from localhost ([127.0.0.1]:46358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nC9ab-0003n8-MF
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 19:21:37 -0500
Received: from bear.techie.net ([205.134.185.202]:51746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swt@HIDDEN>) id 1nC9aW-0003mv-Fz
 for 53509 <at> debbugs.gnu.org; Mon, 24 Jan 2022 19:21:36 -0500
Received: by bear.techie.net (Postfix, from userid 545)
 id E112922A0B35; Mon, 24 Jan 2022 19:21:31 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=techie.net; s=default;
 t=1643070091; bh=0OPlqHVpi4IR+gIFJK+N0UoIAKD6st2jZ6l9LpARCm4=;
 h=Date:From:To:cc:Subject:In-Reply-To:References:From;
 b=iH2GddRHcg5bLGR/nBQM3AgmWlpe1Q/HnGlv3GUh/xlrM6eLjFJmYL0paCygbjlc/
 waCRZZZcoginnaX2YUr0d7owUhnfqvPqdyLzDY64N1tAOzNI2QVxXaTLnP/VfAlAcI
 poxJPLHkyEd7gJeBYSL99zKDPBLQnfQzMwaLDwLk=
Received: from localhost (localhost [127.0.0.1])
 by bear.techie.net (Postfix) with ESMTP id BBE5622A0B31;
 Mon, 24 Jan 2022 19:21:31 -0500 (EST)
Date: Mon, 24 Jan 2022 19:21:31 -0500 (EST)
From: Scott Talbert <swt@HIDDEN>
X-X-Sender: talbert@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#53509: Compilation failure of 27.2 on ppc64le
In-Reply-To: <834k5tj6d0.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.22.394.2201241918030.115995@HIDDEN>
References: <alpine.DEB.2.22.394.2201241205340.104926@HIDDEN>
 <834k5tj6d0.fsf@HIDDEN>
User-Agent: Alpine 2.22 (DEB 394 2020-01-19)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53509
Cc: 53509 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 24 Jan 2022, Eli Zaretskii wrote:

>> Date: Mon, 24 Jan 2022 12:11:23 -0500 (EST)
>> From: Scott Talbert <swt@HIDDEN>
>>
>> On Fedora, we're seeing a compile error when compiling 27.2 on ppc64le
>> architecture.  Log excerpt below, full log at [1]:
>>
>>    CC       regex.o
>> In file included from /usr/include/stdio.h:899,
>>                   from ./stdio.h:43,
>>                   from ../../lib/regex_internal.h:24,
>>                   from ../../lib/regex.c:68:
>> /usr/include/bits/stdio-ldbl.h: In function '__LDBL_REDIR1_DECL':
>> /usr/include/bits/stdio-ldbl.h:36:1: error: expected declaration
>> specifiers before '__LDBL_REDIR1_DECL'
>>     36 | __LDBL_REDIR1_DECL (scanf, __isoc99_scanfieee128)
>>        | ^~~~~~~~~~~~~~~~~~
>> In file included from /usr/include/features.h:488,
>>                   from /usr/include/errno.h:25,
>>                   from ../../lib/libc-config.h:39,
>>                   from ../../lib/regex.c:21:
>> /usr/include/bits/stdio-ldbl.h:86:1: error: storage class specified for
>> parameter '__sprintf_chk'
>
> Is it possible for you to try the latest pretest of Emacs 28?  It's
> here:
>
>  https://alpha.gnu.org/gnu/emacs/pretest/emacs-28.0.91.tar.xz
>
> We don't plan on making any further releases of the v27.x series.

Yep, 28.0.91 appears to build fine on ppc64le with GCC 12.  Any idea what 
commit fixed it, or do I need to bisect?  :)

Thanks,
Scott




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53509; Package emacs. Full text available.

Message received at 53509 <at> debbugs.gnu.org:


Received: (at 53509) by debbugs.gnu.org; 24 Jan 2022 19:12:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 14:12:31 2022
Received: from localhost ([127.0.0.1]:45913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nC4lT-0001Kw-FT
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 14:12:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nC4lS-0001Kj-AF
 for 53509 <at> debbugs.gnu.org; Mon, 24 Jan 2022 14:12:30 -0500
Received: from [2001:470:142:3::e] (port=43528 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nC4lM-0001D8-Jl; Mon, 24 Jan 2022 14:12:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=XpJ/u3bG+GIRJwHpqfvaPs5B4OfCveXGBAoC+RZ5SOU=; b=pLHGjA1JoP5Y
 4IxN9IYfV4Y4W77ceNcuF5r2PNSwd7gZyQByeiFZvwgEWjx7bYBNxMKku1fw2yPORDi7aR5XnxalH
 T5STpzHXZrnyHdsknwKxCCr30+w5AzS8wuVelfWLESRfallbaqKcHlMvij2rRIcitJg4zMiT1B2VX
 KIn6vg/NjfuP2NFhXaU93e8ECV+IbU6d5zhQs+uHgVW/+VcIwnLV/O3e1IaWvDQGQawXmYJvCjG0Z
 N7F3E60mUEZOeTw2yjaPta7J+0B5T01WsXjB3bwQZzKR7WFakZqKzYDVe1gUibLKCNg/Btw7V8b8M
 lXBo8GLBV6a8Dw5Awo0jUw==;
Received: from [87.69.77.57] (port=1434 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nC4lL-0007Sa-3Y; Mon, 24 Jan 2022 14:12:23 -0500
Date: Mon, 24 Jan 2022 21:12:11 +0200
Message-Id: <834k5tj6d0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Scott Talbert <swt@HIDDEN>
In-Reply-To: <alpine.DEB.2.22.394.2201241205340.104926@HIDDEN>
 (message from Scott Talbert on Mon, 24 Jan 2022 12:11:23 -0500 (EST))
Subject: Re: bug#53509: Compilation failure of 27.2 on ppc64le
References: <alpine.DEB.2.22.394.2201241205340.104926@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53509
Cc: 53509 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 24 Jan 2022 12:11:23 -0500 (EST)
> From: Scott Talbert <swt@HIDDEN>
> 
> On Fedora, we're seeing a compile error when compiling 27.2 on ppc64le 
> architecture.  Log excerpt below, full log at [1]:
> 
>    CC       regex.o
> In file included from /usr/include/stdio.h:899,
>                   from ./stdio.h:43,
>                   from ../../lib/regex_internal.h:24,
>                   from ../../lib/regex.c:68:
> /usr/include/bits/stdio-ldbl.h: In function '__LDBL_REDIR1_DECL':
> /usr/include/bits/stdio-ldbl.h:36:1: error: expected declaration 
> specifiers before '__LDBL_REDIR1_DECL'
>     36 | __LDBL_REDIR1_DECL (scanf, __isoc99_scanfieee128)
>        | ^~~~~~~~~~~~~~~~~~
> In file included from /usr/include/features.h:488,
>                   from /usr/include/errno.h:25,
>                   from ../../lib/libc-config.h:39,
>                   from ../../lib/regex.c:21:
> /usr/include/bits/stdio-ldbl.h:86:1: error: storage class specified for 
> parameter '__sprintf_chk'

Is it possible for you to try the latest pretest of Emacs 28?  It's
here:

  https://alpha.gnu.org/gnu/emacs/pretest/emacs-28.0.91.tar.xz

We don't plan on making any further releases of the v27.x series.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53509; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jan 2022 17:58:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 24 12:58:14 2022
Received: from localhost ([127.0.0.1]:45703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nC3bZ-0000uL-59
	for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 12:58:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:45984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swt@HIDDEN>) id 1nC2sK-0003VG-Fo
 for submit <at> debbugs.gnu.org; Mon, 24 Jan 2022 12:11:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53572)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <swt@HIDDEN>) id 1nC2sK-00042p-5m
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jan 2022 12:11:28 -0500
Received: from bear.techie.net ([205.134.185.202]:60428)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <swt@HIDDEN>) id 1nC2sI-0006p4-G9
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jan 2022 12:11:27 -0500
Received: by bear.techie.net (Postfix, from userid 545)
 id 35DD522A0B35; Mon, 24 Jan 2022 12:11:23 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=techie.net; s=default;
 t=1643044283; bh=DJ3qFXToPmBL7kCD2E+9hx+KB7kdN1Mf+Ex1NZYTfGM=;
 h=Date:From:To:Subject:From;
 b=oIPJENXUtGfPDkVL1iOuBonPUxHkOvOnj8/AQWPmUHyFYZweyiBzkSPm8ECjl70fy
 2ol63/ytIRqdOydybKtfoSYMW5eYplTqNPPx7wqB4wX/DWyCzRyo+ACC6/MbdID9tR
 OU8NN0xYU5rLQcwMdjuosgSUuMKaI+5SkVCDs1WA=
Received: from localhost (localhost [127.0.0.1])
 by bear.techie.net (Postfix) with ESMTP id 1E9D222A0B31
 for <bug-gnu-emacs@HIDDEN>; Mon, 24 Jan 2022 12:11:23 -0500 (EST)
Date: Mon, 24 Jan 2022 12:11:23 -0500 (EST)
From: Scott Talbert <swt@HIDDEN>
X-X-Sender: talbert@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: Compilation failure of 27.2 on ppc64le
Message-ID: <alpine.DEB.2.22.394.2201241205340.104926@HIDDEN>
User-Agent: Alpine 2.22 (DEB 394 2020-01-19)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
Received-SPF: pass client-ip=205.134.185.202; envelope-from=swt@HIDDEN;
 helo=bear.techie.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 24 Jan 2022 12:58:12 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi,

On Fedora, we're seeing a compile error when compiling 27.2 on ppc64le 
architecture.  Log excerpt below, full log at [1]:

   CC       regex.o
In file included from /usr/include/stdio.h:899,
                  from ./stdio.h:43,
                  from ../../lib/regex_internal.h:24,
                  from ../../lib/regex.c:68:
/usr/include/bits/stdio-ldbl.h: In function '__LDBL_REDIR1_DECL':
/usr/include/bits/stdio-ldbl.h:36:1: error: expected declaration 
specifiers before '__LDBL_REDIR1_DECL'
    36 | __LDBL_REDIR1_DECL (scanf, __isoc99_scanfieee128)
       | ^~~~~~~~~~~~~~~~~~
In file included from /usr/include/features.h:488,
                  from /usr/include/errno.h:25,
                  from ../../lib/libc-config.h:39,
                  from ../../lib/regex.c:21:
/usr/include/bits/stdio-ldbl.h:86:1: error: storage class specified for 
parameter '__sprintf_chk'
    86 | __LDBL_REDIR2_DECL (sprintf_chk)
       | ^~~~~~~~~~~~~~~~~~
/usr/include/bits/stdio-ldbl.h:87:1: error: storage class specified for 
parameter '__vsprintf_chk'
    87 | __LDBL_REDIR2_DECL (vsprintf_chk)
       | ^~~~~~~~~~~~~~~~~~
/usr/include/bits/stdio-ldbl.h:89:1: error: storage class specified for 
parameter '__snprintf_chk'
    89 | __LDBL_REDIR2_DECL (snprintf_chk)
       | ^~~~~~~~~~~~~~~~~~
/usr/include/bits/stdio-ldbl.h:90:1: error: storage class specified for 
parameter '__vsnprintf_chk'
    90 | __LDBL_REDIR2_DECL (vsnprintf_chk)
       | ^~~~~~~~~~~~~~~~~~

Possibly related to 128-bit long double?  gnulib out of sync with glibc?

[1] https://kojipkgs.fedoraproject.org//work/tasks/1829/81671829/build.log

Thanks,
Scott




Acknowledgement sent to Scott Talbert <swt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53509; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 25 Jan 2022 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.